# 
# -- OpenCV video write with shared memory --##
# 
# basic example, ChS 27.8.2019 - 2024
#
# Windows version -> No shared memory
#


import cv2
import numpy as np

global gMovieOut
global idx

idx =0

#--------------------------------------------------------------------------------
# open and init the movie session
# 

def _WOCVs_MovieCreate_(MovieFilePath, w,h, fps, c):
    global gMovieOut

    gMovieOut = cv2.VideoWriter(MovieFilePath, cv2.VideoWriter_fourcc(c[0],c[1],c[2],c[3]), fps, (w,h),False)
       
    return gMovieOut.isOpened()


#--------------------------------------------------------------------------------
# grab the next frame from the movieand copy it to the shared memory
#

def _WOCVs_movieSetNextFrame_(f):
    global gMovieOut
    m= np.mat(f,  np.uint8)
    gMovieOut.write(m)
 
    return 0


#--------------------------------------------------------------------------------
# close the movie session
# 

def _WOCVs_movieClose_():
    global gMovieOut
    gMovieOut.release()
    return 0



